--- old/usr/src/pkg/manifests/system-library-platform.mf	Fri Aug  9 07:21:04 2019
+++ new/usr/src/pkg/manifests/system-library-platform.mf	Fri Aug  9 07:21:04 2019
@@ -34,9 +34,6 @@
 dir path=usr/platform group=sys
 $(sparc_ONLY)dir path=usr/platform/SUNW,A70 group=sys
 $(sparc_ONLY)dir path=usr/platform/SUNW,A70/lib
-$(sparc_ONLY)dir path=usr/platform/SUNW,Netra-CP2300 group=sys
-$(sparc_ONLY)dir path=usr/platform/SUNW,Netra-CP2300/lib
-$(sparc_ONLY)dir path=usr/platform/SUNW,Netra-CP2300/sbin
 $(sparc_ONLY)dir path=usr/platform/SUNW,Netra-CP3010 group=sys
 $(sparc_ONLY)dir path=usr/platform/SUNW,Netra-CP3010/lib
 $(sparc_ONLY)dir path=usr/platform/SUNW,Netra-CP3010/sbin
@@ -116,12 +113,6 @@
 $(sparc_ONLY)dir path=usr/platform/SUNW,Ultra-4/lib
 $(sparc_ONLY)dir path=usr/platform/SUNW,Ultra-Enterprise group=sys
 $(sparc_ONLY)dir path=usr/platform/SUNW,Ultra-Enterprise/lib
-$(sparc_ONLY)dir path=usr/platform/SUNW,UltraSPARC-IIe-NetraCT-40 group=sys
-$(sparc_ONLY)dir path=usr/platform/SUNW,UltraSPARC-IIe-NetraCT-40/lib
-$(sparc_ONLY)dir path=usr/platform/SUNW,UltraSPARC-IIe-NetraCT-60 group=sys
-$(sparc_ONLY)dir path=usr/platform/SUNW,UltraSPARC-IIe-NetraCT-60/lib
-$(sparc_ONLY)dir path=usr/platform/SUNW,UltraSPARC-IIi-Netract group=sys
-$(sparc_ONLY)dir path=usr/platform/SUNW,UltraSPARC-IIi-Netract/lib
 $(i386_ONLY)dir path=usr/platform/i86pc group=sys
 $(i386_ONLY)dir path=usr/platform/i86pc/lib
 $(sparc_ONLY)dir path=usr/platform/sun4u group=sys
@@ -170,8 +161,6 @@
 $(sparc_ONLY)file path=usr/platform/SUNW,Ultra-4/lib/libprtdiag_psr.so.1
 $(sparc_ONLY)file \
     path=usr/platform/SUNW,Ultra-Enterprise/lib/libprtdiag_psr.so.1
-$(sparc_ONLY)file \
-    path=usr/platform/SUNW,UltraSPARC-IIi-Netract/lib/libprtdiag_psr.so.1
 $(sparc_ONLY)file path=usr/platform/sun4u/lib/cfgadm/$(ARCH64)/ac.so.1
 $(sparc_ONLY)file path=usr/platform/sun4u/lib/cfgadm/$(ARCH64)/sbd.so.1
 $(sparc_ONLY)file path=usr/platform/sun4u/lib/cfgadm/$(ARCH64)/sysctrl.so.1
@@ -212,12 +201,6 @@
 $(sparc_ONLY)link path=usr/platform/SUNW,Netra-210 target=SUNW,Sun-Fire-V240
 $(sparc_ONLY)link path=usr/platform/SUNW,Netra-240 target=SUNW,Sun-Fire-V240
 $(sparc_ONLY)link path=usr/platform/SUNW,Netra-440 target=SUNW,Sun-Fire-V440
-$(sparc_ONLY)link path=usr/platform/SUNW,Netra-CP2300/lib/cfgadm \
-    target=../../sun4u/lib/cfgadm
-$(sparc_ONLY)link path=usr/platform/SUNW,Netra-CP2300/lib/fs \
-    target=../../sun4u/lib/fs
-$(sparc_ONLY)link path=usr/platform/SUNW,Netra-CP2300/sbin/prtdiag \
-    target=../../sun4u/sbin/prtdiag
 $(sparc_ONLY)link path=usr/platform/SUNW,Netra-CP3010/lib/cfgadm \
     target=../../sun4u/lib/cfgadm
 $(sparc_ONLY)link path=usr/platform/SUNW,Netra-CP3010/lib/fs \
@@ -500,27 +483,6 @@
 $(sparc_ONLY)link path=usr/platform/SUNW,Ultra-Enterprise/sbin \
     target=../sun4u/sbin
 $(sparc_ONLY)link path=usr/platform/SUNW,UltraAX-i2 target=sun4u
-$(sparc_ONLY)link path=usr/platform/SUNW,UltraSPARC-IIe-NetraCT-40/lib/cfgadm \
-    target=../../sun4u/lib/cfgadm
-$(sparc_ONLY)link path=usr/platform/SUNW,UltraSPARC-IIe-NetraCT-40/lib/fs \
-    target=../../sun4u/lib/fs
-$(sparc_ONLY)link \
-    path=usr/platform/SUNW,UltraSPARC-IIe-NetraCT-40/lib/libprtdiag_psr.so.1 \
-    target=../../SUNW,UltraSPARC-IIi-Netract/lib/libprtdiag_psr.so.1
-$(sparc_ONLY)link path=usr/platform/SUNW,UltraSPARC-IIe-NetraCT-40/sbin \
-    target=../sun4u/sbin
-$(sparc_ONLY)link path=usr/platform/SUNW,UltraSPARC-IIe-NetraCT-60/lib/cfgadm \
-    target=../../sun4u/lib/cfgadm
-$(sparc_ONLY)link path=usr/platform/SUNW,UltraSPARC-IIe-NetraCT-60/lib/fs \
-    target=../../sun4u/lib/fs
-$(sparc_ONLY)link path=usr/platform/SUNW,UltraSPARC-IIe-NetraCT-60/sbin \
-    target=../sun4u/sbin
-$(sparc_ONLY)link path=usr/platform/SUNW,UltraSPARC-IIi-Netract/lib/cfgadm \
-    target=../../sun4u/lib/cfgadm
-$(sparc_ONLY)link path=usr/platform/SUNW,UltraSPARC-IIi-Netract/lib/fs \
-    target=../../sun4u/lib/fs
-$(sparc_ONLY)link path=usr/platform/SUNW,UltraSPARC-IIi-Netract/sbin \
-    target=../sun4u/sbin
 $(sparc_ONLY)link path=usr/platform/sun4u/lib/cfgadm/$(ARCH64)/ac.so \
     target=./ac.so.1
 $(sparc_ONLY)link path=usr/platform/sun4u/lib/cfgadm/$(ARCH64)/sbd.so \
--- old/usr/src/psm/stand/boot/sparcv9/sun4u/Makefile	Fri Aug  9 07:21:04 2019
+++ new/usr/src/psm/stand/boot/sparcv9/sun4u/Makefile	Fri Aug  9 07:21:04 2019
@@ -34,9 +34,6 @@
 PLATLINKS	+= SUNW,Ultra-250
 PLATLINKS	+= SUNW,Ultra-4
 PLATLINKS	+= SUNW,Ultra-Enterprise
-PLATLINKS	+= SUNW,UltraSPARC-IIi-Netract
-PLATLINKS	+= SUNW,UltraSPARC-IIe-NetraCT-40
-PLATLINKS	+= SUNW,UltraSPARC-IIe-NetraCT-60
 PLATLINKS	+= SUNW,Sun-Blade-100
 PLATLINKS	+= SUNW,Sun-Blade-1000
 PLATLINKS	+= SUNW,Sun-Blade-1500
@@ -56,7 +53,6 @@
 PLATLINKS	+= SUNW,Serverblade1
 PLATLINKS	+= SUNW,Netra-T12
 PLATLINKS	+= SUNW,Netra-T4
-PLATLINKS	+= SUNW,Netra-CP2300
 PLATLINKS	+= SUNW,Netra-CP3010
 PLATLINKS	+= SUNW,SPARC-Enterprise
 
--- old/usr/src/uts/sparc/Makefile.sparc	Fri Aug  9 07:21:04 2019
+++ new/usr/src/uts/sparc/Makefile.sparc	Fri Aug  9 07:21:04 2019
@@ -25,6 +25,7 @@
 # Copyright (c) 2015, Joyent, Inc. All rights reserved.
 # Copyright 2016 Gary Mills
 # Copyright 2016 Nexenta Systems, Inc.
+# Copyright 2019 Peter Tribble.
 #
 
 #
@@ -220,7 +221,7 @@
 DRV_KMODS	+= pseudo ptc ptm pts ptsl ramdisk random rsm rts sad
 DRV_KMODS	+= simnet softmac sppp sppptun sy sysevent sysmsg
 DRV_KMODS	+= spdsock
-DRV_KMODS	+= tcp tcp6 timerfd tl tnf ttymux udp udp6 wc winlock zcons
+DRV_KMODS	+= tcp tcp6 timerfd tl tnf udp udp6 wc winlock zcons
 DRV_KMODS	+= ippctl
 DRV_KMODS	+= dld
 DRV_KMODS	+= ipd
--- old/usr/src/uts/sun/Makefile.files	Fri Aug  9 07:21:05 2019
+++ new/usr/src/uts/sun/Makefile.files	Fri Aug  9 07:21:05 2019
@@ -22,6 +22,7 @@
 #
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
+# Copyright 2019 Peter Tribble.
 #
 # uts/sun/Makefile.files
 #
@@ -67,7 +68,7 @@
 
 SSD_OBJS +=	sd.o sd_xbuf.o
 
-WSDRV_OBJS += 	wsdrv.o
+WSDRV_OBJS +=	wsdrv.o
 
 ZS_OBJS +=	zs_async.o	zs_common.o
 
@@ -74,12 +75,6 @@
 ZSH_OBJS +=	zs_hdlc.o
 
 #
-#			streams modules
-#
-
-TTYMUX_OBJS +=	ttymux.o ttymux_ioctl.o
-
-#
 #	Section 3:	Misc.
 #
 LINT_DEFS	+= -Dsun
--- old/usr/src/uts/sun/Makefile.rules	Fri Aug  9 07:21:05 2019
+++ new/usr/src/uts/sun/Makefile.rules	Fri Aug  9 07:21:05 2019
@@ -22,6 +22,7 @@
 #
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
+# Copyright 2019 Peter Tribble.
 #
 # uts/sun/Makefile.rules
 #
@@ -53,10 +54,6 @@
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
 
-$(OBJS_DIR)/%.o:		$(UTSBASE)/sun/io/ttymux/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
 $(OBJS_DIR)/%.o:		$(UTSBASE)/sun/io/dada/conf/%.c
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
@@ -77,7 +74,7 @@
 	$(COMPILE.c) -I. -o $@ $<
 	$(CTFCONVERT_O)
 
-$(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/scsi/adapters/%.c 
+$(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/scsi/adapters/%.c
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
 
@@ -109,7 +106,4 @@
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
 $(LINTS_DIR)/%.ln:		$(UTSBASE)/common/io/scsi/adapters/%.c
-	@($(LHEAD) $(LINT.c) $< $(LTAIL))
-
-$(LINTS_DIR)/%.ln:		$(UTSBASE)/sun/io/ttymux/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
--- old/usr/src/uts/sun/sys/Makefile	Fri Aug  9 07:21:05 2019
+++ new/usr/src/uts/sun/sys/Makefile	Fri Aug  9 07:21:05 2019
@@ -22,6 +22,7 @@
 #
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
+# Copyright 2019 Peter Tribble.
 #
 # include global definitions
 include ../../../Makefile.master
@@ -36,7 +37,6 @@
 ser_async.h		ser_zscc.h \
 socalio.h		socalreg.h \
 socal_cq_defs.h		socalmap.h		socalvar.h \
-ttymux.h		ttymuxuser.h \
 zsdev.h
 
 SCSIADHDRS= \
@@ -103,7 +103,7 @@
 		$(ROOTSCSIADHDRS) $(ROOTSCSITARGHDRS) $(ROOTXHDRS) \
 		$(ROOTFCHDRS)
 
-install_h: 	$(ROOTDIRS) .WAIT $(ROOTHDRS) \
+install_h:	$(ROOTDIRS) .WAIT $(ROOTHDRS) \
 		$(ROOTAUDHDRS) $(ROOTAUDIMPLHDRS) \
 		$(ROOTSCSIADHDRS) $(ROOTSCSITARGHDRS) $(ROOTFCHDRS)
 
--- old/usr/src/uts/sun4u/Makefile.sun4u	Fri Aug  9 07:21:05 2019
+++ new/usr/src/uts/sun4u/Makefile.sun4u	Fri Aug  9 07:21:05 2019
@@ -167,13 +167,11 @@
 IMPLEMENTATIONS		+= taco
 IMPLEMENTATIONS		+= mpxu
 IMPLEMENTATIONS		+= excalibur
-IMPLEMENTATIONS		+= montecarlo
 IMPLEMENTATIONS		+= serengeti
 IMPLEMENTATIONS		+= littleneck
 IMPLEMENTATIONS		+= daktari
 IMPLEMENTATIONS		+= cherrystone
 IMPLEMENTATIONS		+= fjlite
-IMPLEMENTATIONS		+= snowbird
 IMPLEMENTATIONS		+= schumacher
 IMPLEMENTATIONS		+= blade
 IMPLEMENTATIONS		+= boston
@@ -181,7 +179,6 @@
 IMPLEMENTATIONS		+= chicago
 IMPLEMENTATIONS		+= sunfire
 IMPLEMENTATIONS		+= lw8
-IMPLEMENTATIONS		+= makaha
 IMPLEMENTATIONS		+= opl
 IMPLEMENTATIONS		+= lw2plus
 
